Package de.pangaea.metadataportal.harvester

## Class OAIMetadataDocument

- java.lang.Object
- - de.pangaea.metadataportal.processor.MetadataDocument
  - - de.pangaea.metadataportal.harvester.OAIMetadataDocument

-     public class OAIMetadataDocument
      extends MetadataDocument

  Special implementation of `MetadataDocument` that adds OAI set support to internal fields
  Author:
    Uwe Schindler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.pangaea.metadataportal.processor.MetadataDocument

      `MetadataDocument.XMLConverter`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Set<String>` | `sets` |

    - ### Fields inherited from class de.pangaea.metadataportal.processor.MetadataDocument

      `datestamp, deleted, iconfig, identifier`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OAIMetadataDocument​(HarvesterConfig iconfig, String identifierPrefix, boolean ignoreDatestamps)` | Constructor, that creates an empty instance for the supplied index configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSet​(String set)` | Adds an OAI set to the set `Set`.
    `Set<String>` | `getSets()` | Returns all OAI sets as `Set`.
    `void` | `setHeaderInfo​(String status, String identifier, String datestampStr)` | Deprecated.
    `String` | `toString()` |

    - ### Methods inherited from class de.pangaea.metadataportal.processor.MetadataDocument

      `addField, addFields, addSystemVariables, createEmptyKeyValuePairs, evaluateTemplate, evaluateTemplateAsXHTML, finalizeKeyValuePairs, getConverter, getDatestamp, getFinalDOM, getIdentifier, getKeyValuePairs, getXML, isDeleted, loadFromElasticSearchHit, processFilters, processXPathVariables, setDatestamp, setDeleted, setFinalDOM, setIdentifier, walkNodeTexts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sets

          protected Set<String> sets

      See Also:
        `getSets()`

  - ### Constructor Detail

    - #### OAIMetadataDocument

          public OAIMetadataDocument​(HarvesterConfig iconfig,
                                     String identifierPrefix,
                                     boolean ignoreDatestamps)

      Constructor, that creates an empty instance for the supplied index configuration.

  - ### Method Detail

    - #### setHeaderInfo

          @PublicForDigesterUse
          @Deprecated
          public void setHeaderInfo​(String status,
                                    String identifier,
                                    String datestampStr)

      Deprecated.

    - #### addSet

          public void addSet​(String set)

      Adds an OAI set to the set `Set`.

    - #### getSets

          public Set<String> getSets()

      Returns all OAI sets as `Set`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MetadataDocument`